/* ---------------------------------------------------------------------
     Small Music Information Retrieval Toolkit

    Copyright (c) 2008 Rebecca Fiebrink, Ge Wang and Perry R. Cook.  
    All rights reserved.
       http://smirk.cs.princeton.edu/
       http://chuck.cs.princeton.edu
       http://soundlab.cs.princeton.edu/

    Portions of SMIRK are based on the design of the Weka data mining
    toolkit, a GPL package.
       http://www.cs.waikato.ac.nz/ml/weka/
       Ian H. Witten and Eibe Frank (2005) "Data Mining: 
       Practical machine learning tools and techniques", 2nd Edition, 	
       Morgan Kaufmann, San Francisco, 2005.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
    U.S.A. 
--------------------------------------------------------------------- */
/**
	A script for adding all the files needed by AdaBoostM1, in order
*/

//These files all need to be added in this order
//for you to use the AdaBoostM1 classifier.
Machine.add("../../core/Instance.ck");
Machine.add("../../core/Instances.ck");
Machine.add("../../core/Classifier.ck");
Machine.add("../../DecisionStump/DecisionStump.ck");
Machine.add("../AdaBoostM1.ck");

//Insert code of your choice here
//Machine.add("ab_example_pan.ck");
//OR
//Machine.add("ab_example_multigenre.ck");
//OR
Machine.add("ab_example_maui.ck");
//OR
//Machine.add("simple_adaboostM1_test.ck");

while (true) {
    1::minute => now;
}